Skip to main content
GET
List time-punches

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

resolvedDate
string

Filter time-punches by the local date of their resolvedTime. The value is a range of dates {from}--{until}, both included.

Example:

"2026-10-01--2026-10-31"

employee.id
string[]

Filter time-punches by their employee. The value is a comma-separated list of employee IDs.

sort
enum<string>

Sort time-punches by their resolvedTime, ascending (resolvedTime or +resolvedTime) or descending (-resolvedTime).

Available options:
resolvedTime,
+resolvedTime,
-resolvedTime
limit
integer

Maximum number of time-punches per page.

Required range: x >= 1
Example:

25

page
string

Cursor of the page to retrieve. Use the links.next.href of the previous response to get the next page.

Response

OK

items
TimePunch · object[]